WPSTable Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
WPSTable Class Reference

`#include <WPSTable.h>`

Inheritance diagram for WPSTable:

## Public Member Functions
| WPSTable ()
| the constructor More...
virtual | ~WPSTable ()
| the destructor More...
void | add (WPSCellPtr &cell)
| add a new cells More...
int | numCells () const
| returns the number of cell More...
WPSCellPtr | getCell (int id)
| returns the i^th cell More...
bool | sendTable (WPSContentListenerPtr listener)
| try to send the table More...
bool | sendAsText (WPSContentListenerPtr listener)
| try to send the table as basic text More...

## Protected Member Functions
bool | buildStructures ()
| create the correspondance list, ... More...

## Protected Attributes
std::vector< WPSCellPtr > | m_cellsList
| the list of cells More...
std::vector< float > | m_rowsSize
| the final row and col size (in point) More...
std::vector< float > | m_colsSize

## Constructor & Destructor Documentation

WPSTable::WPSTable | ( |  | ) |
| inline

the constructor

WPSTable::~WPSTable | ( |  | ) |
| virtual

the destructor

Referenced by WPSTable().

## Member Function Documentation

void WPSTable::add | ( | WPSCellPtr & | cell | ) |

add a new cells

Referenced by WPSTable().

bool WPSTable::buildStructures | ( |  | ) |
| protected

create the correspondance list, ...

Referenced by numCells(), and sendTable().

WPSCellPtr WPSTable::getCell | ( | int | id | ) |

returns the i^th cell

Referenced by numCells().

int WPSTable::numCells | ( |  | ) | const
| inline

returns the number of cell

Referenced by WPS8TableInternal::operator<<().

bool WPSTable::sendAsText | ( | WPSContentListenerPtr | listener | ) |

try to send the table as basic text

Referenced by numCells().

bool WPSTable::sendTable | ( | WPSContentListenerPtr | listener | ) |

try to send the table

Note: either send the table ( and returns true ) or do nothing.

Referenced by numCells().

## Member Data Documentation

std::vector<WPSCellPtr> WPSTable::m_cellsList
| protected

the list of cells

Referenced by add(), buildStructures(), getCell(), numCells(), sendAsText(), and sendTable().

std::vector<float> WPSTable::m_colsSize
| protected

Referenced by buildStructures(), and sendTable().

std::vector<float> WPSTable::m_rowsSize
| protected

the final row and col size (in point)

Referenced by buildStructures(), and sendTable().

The documentation for this class was generated from the following files:

- WPSTable.h
- WPSTable.cpp